using SqlSugar;

namespace OpenAuth.Repository.Domain;

[SugarTable("drone_case_split")]
public class DroneCaseSplit
{

    public DroneCaseSplit() {
        IsRecover = 0;    
    }
    [SugarColumn(IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
    public long Id { get; set; }

    /// <summary>
    /// 
    /// </summary>

    [SugarColumn(ColumnName = "original_case_id")]
    public string OriginalCaseId { get; set; }

    /// <summary>
    /// 
    /// </summary>

    [SugarColumn(ColumnName = "new_case_id")]
    public string NewCaseId { get; set; }



    [SugarColumn(ColumnName = "is_recover")]
    public int IsRecover { get; set; }
}